Bug 1121206 - oo-accept-node does not validate that EXTERNAL_ETH_DEV has a globally scoped IPv4 addres
Summary: oo-accept-node does not validate that EXTERNAL_ETH_DEV has a globally scoped ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1121203
TreeView+ depends on / blocked
 
Reported: 2014-07-18 16:01 UTC by Miciah Dashiel Butler Masters
Modified: 2015-05-14 23:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121203
Environment:
Last Closed: 2014-10-10 00:46:07 UTC


Attachments (Terms of Use)

Description Miciah Dashiel Butler Masters 2014-07-18 16:01:29 UTC
+++ This bug was initially created as a clone of Bug #1121203 +++

Description of problem:

oo-iptables-port-proxy requires that EXTERNAL_ETH_DEV be set to a network interface that has a globally scoped IPv4 address.  oo-accept-node does not check that this requirement is met.


How reproducible:

Completely.


Steps to Reproduce:

1. Install an OpenShift Enterprise PaaS with 1 node.

2. Set EXTERNAL_ETH_DEV=lo in /etc/openshift/node.conf on the node in Step 1.

3. Run oo-accept-node.


Actual results:

oo-accept-node does not complain that the network interface specified by EXTERNAL_ETH_DEV does not have a globally scoped IPv4 address.


Expected results:

oo-accept-node should warn about the problem.


Additional info:

See bug 1121195.

Comment 1 Miciah Dashiel Butler Masters 2014-07-18 16:10:09 UTC
PR: https://github.com/openshift/origin-server/pull/5623

Comment 2 openshift-github-bot 2014-07-22 17:10:09 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/9a83c88dd32bfd5ad9275387c20ceb7a2ed86fa5
oo-accept-node: Add check_ext_net_dev_addr

Add check_ext_net_dev_addr to oo-accept-node to check that the network
interface specified by EXTERNAL_ETH_DEV in /etc/openshift/node.conf has
a globally scoped IPv4 address (if it does not, oo-iptables-port-proxy
will fail).

This commit fixes bug 1121206.

Comment 3 Wenjing Zheng 2014-07-23 03:24:07 UTC
Verified on devenv_4996, "oo-accept-node" returns correct error warning:
[root@ip-10-69-151-57 ~]# oo-accept-node
FAIL: SEVERE: lo has no globally scoped IPv4 address
FAIL: tc htb qdisc not configured
2 ERRORS


Note You need to log in before you can comment on or make changes to this bug.